tigase.osgi

## Class ModulesManagerImpl

- java.lang.Object
- - tigase.osgi.ModulesManagerImpl

- All Implemented Interfaces:
    ModulesManager

      public class ModulesManagerImpl
      extends Object
      implements ModulesManager

  Author:
    andrzej

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `forName(String className)`
    `<T extends Class> Set<T>` | `getImplementations(T cls)`
    `static ModulesManagerImpl` | `getInstance()`
    `XMPPImplIfc` | `getPlugin(String plug_id)`
    `ServerComponent` | `getServerComponent(String className)`
    `Class<? extends ServerComponent>` | `getServerComponentClass(String className)`
    `boolean` | `hasClassForServerComponent(String className)`
    `boolean` | `hasPluginForId(String plug_id)`
    `void` | `registerClass(Class<?> cls)`
    `void` | `registerPluginClass(Class<? extends XMPPImplIfc> pluginCls)`
    `void` | `registerServerComponentClass(Class<? extends Configurable> compCls)`
    `void` | `setActive(boolean active)`
    `void` | `unregisterClass(Class<?> cls)`
    `void` | `unregisterPluginClass(Class<? extends XMPPImplIfc> pluginClass)`
    `void` | `unregisterServerComponentClass(Class<? extends Configurable> compCls)`
    `void` | `update()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ModulesManagerImpl getInstance()

    - #### registerPluginClass

          public void registerPluginClass(Class<? extends XMPPImplIfc> pluginCls)

      Specified by:
        `registerPluginClass` in interface `ModulesManager`

    - #### unregisterPluginClass

          public void unregisterPluginClass(Class<? extends XMPPImplIfc> pluginClass)

      Specified by:
        `unregisterPluginClass` in interface `ModulesManager`

    - #### registerServerComponentClass

          public void registerServerComponentClass(Class<? extends Configurable> compCls)

      Specified by:
        `registerServerComponentClass` in interface `ModulesManager`

    - #### unregisterServerComponentClass

          public void unregisterServerComponentClass(Class<? extends Configurable> compCls)

      Specified by:
        `unregisterServerComponentClass` in interface `ModulesManager`

    - #### registerClass

          public void registerClass(Class<?> cls)

      Specified by:
        `registerClass` in interface `ModulesManager`

    - #### unregisterClass

          public void unregisterClass(Class<?> cls)

      Specified by:
        `unregisterClass` in interface `ModulesManager`

    - #### forName

          public Class<?> forName(String className)
                           throws ClassNotFoundException

      Specified by:
        `forName` in interface `ModulesManager`
      Throws:
        `ClassNotFoundException`

    - #### getImplementations

          public <T extends Class> Set<T> getImplementations(T cls)

    - #### update

          public void update()

      Specified by:
        `update` in interface `ModulesManager`

    - #### getPlugin

          public XMPPImplIfc getPlugin(String plug_id)
                                throws InstantiationException,
                                       IllegalAccessException

      Throws:
        `InstantiationException`
        `IllegalAccessException`

    - #### hasPluginForId

          public boolean hasPluginForId(String plug_id)

    - #### getServerComponentClass

          public Class<? extends ServerComponent> getServerComponentClass(String className)

    - #### getServerComponent

          public ServerComponent getServerComponent(String className)
                                             throws InstantiationException,
                                                    IllegalAccessException

      Throws:
        `InstantiationException`
        `IllegalAccessException`

    - #### hasClassForServerComponent

          public boolean hasClassForServerComponent(String className)

    - #### setActive

          public void setActive(boolean active)

Copyright © 2022 "Tigase, Inc.". All rights reserved.